You are not logged in.

#1 2013-07-19 19:56:39

adcdam
Member
From: Argentina
Registered: 2012-04-15
Posts: 42

Can someone help me installing oce 0.12? is not in the aur [solved]

Opencascade community edition
Last version of oce in aur is 0.11-1 last updated in december 2012.
Last version of oce is 0.12 and was launched some months ago.
thanks a lot.

Last edited by adcdam (2013-07-20 00:36:15)

Offline

#2 2013-07-19 20:02:07

karol
Archivist
Registered: 2009-05-06
Posts: 25,426

Re: Can someone help me installing oce 0.12? is not in the aur [solved]

Have you tried simply changing the pkgver to 0.12?


Edit: There's also https://aur.archlinux.org/packages/oce-git/

If a package is outdated, please mark it as such.

Last edited by karol (2013-07-19 20:03:48)

Offline

#3 2013-07-19 20:03:11

jasonwryan
Forum & Wiki Admin
From: .nz
Registered: 2009-05-09
Posts: 18,531
Website

Re: Can someone help me installing oce 0.12? is not in the aur [solved]

There is a git version...


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#4 2013-07-19 20:22:06

adcdam
Member
From: Argentina
Registered: 2012-04-15
Posts: 42

Re: Can someone help me installing oce 0.12? is not in the aur [solved]

the git version is even older than version 0.11-1, im compiling version 0.12 now to see if it works i had a problem with md5sums but i solved, i hope it works.

Offline

#5 2013-07-19 20:26:34

karol
Archivist
Registered: 2009-05-06
Posts: 25,426

Re: Can someone help me installing oce 0.12? is not in the aur [solved]

I see

git checkout OCE-0.8.0

in https://aur.archlinux.org/packages/oc/oce-git/PKGBUILD but what happens if you change it to 0.12?

Offline

#6 2013-07-19 20:29:41

jasonwryan
Forum & Wiki Admin
From: .nz
Registered: 2009-05-09
Posts: 18,531
Website

Re: Can someone help me installing oce 0.12? is not in the aur [solved]

adcdam wrote:

the git version is even older than version 0.11-1

That is an oxymoron. Or has development ceased being pushed to a git repo?


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#7 2013-07-19 21:02:24

adcdam
Member
From: Argentina
Registered: 2012-04-15
Posts: 42

Re: Can someone help me installing oce 0.12? is not in the aur [solved]

karol wrote:

in https://aur.archlinux.org/packages/oc/oce-git/PKGBUILD but what happens if you change it to 0.12?

i did that and i did makepkg -g then i changed the md5sums numbers in the PKGBUILD and now its building the package.

i marked the 0.11 package as outdated.

edit: i installed the package via sudo pacman -U but now i have to recompile freecad to see if there is any problem.
edit2: freecad is working fine with oce 0.12 i will re compile also heekscad to see if it work too.
edit3: heekscad work fine too with oce 0.12.

perhaps its better to install Oce instead of the last Opencascade version
http://sourceforge.net/apps/phpbb/free- … f=4&t=4067
http://sourceforge.net/apps/phpbb/free- … f=4&t=3836

Last edited by adcdam (2013-07-20 00:34:30)

Offline

Board footer

Powered by FluxBB